// ◇ UTF-8
/**
 * メインアクティビティ
 */


package com.example.landloader.java.t01;

import android.app.Activity;
import android.content.res.AssetManager;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

import java.io.File;


/**
 * テストアクティビティ
 * @author GORRY
 */
public class TestActivity extends Activity {
	private static final String TAG="LandLoaderJavaT01";
	private static final String SUBTAG="TestActivity";
	private static final boolean Verbose = false;
	private static final boolean Debug = false;
	private static final boolean Info = true; //false;
	// if (Verbose) Log.v(TAG, SUBTAG+": "+"");
	// if (Debug) Log.d(TAG, SUBTAG+": "+"");
	// if (Info) Log.i(TAG, SUBTAG+": "+"");

	JNILib mJNILib;

	/**
	 * onCreate
	 */
	@Override protected void onCreate(Bundle icicle) {
		if (Info) Log.i(TAG, SUBTAG+": "+"onCreate(): start");
		super.onCreate(icicle);

		mJNILib = new JNILib(this);
		mJNILib.TestFunc();

		TextView v = new TextView(this);
		v.setText("Hello, Android");
		setContentView(v);

		if (Info) Log.i(TAG, SUBTAG+": "+"onCreate(): end");
	}
}

// [EOF]
